


/*---------------------GENERAL-------------------------------*/
*, *::before, *::after {
  box-sizing: border-box;
  margin: 0;
}

  /* ajouter font-display ?*/

  @font-face {
  font-family: "Objectivity-Bold";
  src: url("./fonts/Objectivity-Bold.woff2") format("woff2");
 }

   @font-face {
  font-family: "Objectivity-Light";
  src: url("./fonts/Objectivity-Light.woff2") format("woff2");
 }
    @font-face {
  font-family: "Objectivity-Medium";
  src: url("./fonts/Objectivity-Medium.woff2") format("woff2");
 }
     @font-face {
  font-family: "Objectivity-Regular";
  src: url("./fonts/Objectivity-Regular.woff2") format("woff2");
 }
      @font-face {
  font-family: "Objectivity-Thin";
  src: url("./fonts/Objectivity-Thin.woff2") format("woff2");
 }

html {
  font-size: 100%;
  font-family: sans-serif;
  scroll-behavior: smooth;
}

::-moz-selection { /* Code for Firefox */
  color: #301605;
  background: #E0DBEF;
}

::selection {
  color: #301605;
  background: #E0DBEF;
}

a {
  text-decoration: none;
  color: inherit;
}

body {
  overflow-x: hidden;
}

/*----------HAMBURGER MENU------------------*/
.hamburger {
  display: none;
}

#menu > a {
  text-decoration: none !important;
  color: #856217;
  transition: opacity 0.3s ease;
}

#menu > a:hover {
  color: #301605;
}

#menu > li {
  color: #856217;
}

.current {
  color: #301605;
}

#menuToggle {
  display: block;
  position: fixed;
  top: 2.3vh;
  right: 15px;
  z-index: 15;
  -webkit-user-select: none;
  user-select: none;
}

#menuToggle input {
  display: block;
  width: 40px;
  height: 32px;
  position: absolute;
  top: -7px;
  left: -5px;
  cursor: pointer;
  opacity: 0;
  z-index: 2;
  -webkit-touch-callout: none;
}

#menuToggle span {
  display: block;
  width: 25px;
  height: 1.5px;
  margin-bottom: 5px;
  position: relative;
  background: #301605;
  z-index: 1;
  transform-origin: 1.5px 0px;
  transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0),
  background 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0),
  opacity 0.55s ease;
}

#menuToggle span:first-child {
  transform-origin: 0% 0%;
}

#menuToggle span:nth-last-child(2) {
  transform-origin: 0% 100%;
}

#menuToggle input:checked~span {
  opacity: 1;
  transform: rotate(45deg) translate(-4px, -2px);
  background: #232323;
}

#menuToggle input:checked~span:nth-last-child(3) {
  opacity: 0;
  transform: rotate(0deg) scale(0.2, 0.2);
}

#menuToggle input:checked~span:nth-last-child(2) {
  opacity: 1;
  transform: rotate(-45deg) translate(0px, -2px);
}

#menu {
  position: absolute;
  width: 105vw;
  height: 100vh;
/*  margin: 2vh 0 0 0;*/
  padding: 2em 0 0 3.3em;
  right: -5vw;
  background: #FFD400;
  list-style-type: none;
  -webkit-font-smoothing: antialiased;
  transform-origin: 0% 0%;
  transform: translate(100%, 0);
  transition: transform 0.3s ease-in-out;
  /*display: flex;
  flex-direction: column;
  align-items: left;
  overflow: scroll;*/
}

#menu li {
  font-family: "Objectivity-Bold";
  padding: 0.3em 0;
  font-size: clamp(13px, 3vh, 30px);
}

#menuToggle input:checked~ul {
  transform: scale(1.0, 1.0);
  opacity: 1;
}

.hamb_menu_cat {
  padding-bottom: 0.6em;
}

#menu_filet {
  margin: 8px 0 18px 0;
  width: 100px;
  height: 2px;
  color: #301605;
  opacity: 0.7;
}

/*----------------------------NAV--------------------------------*/

nav {
  width: 100%;
  position: fixed;  
  bottom: 0;
  z-index: 3; 
  display: grid;
  grid-template-columns:1.5rem repeat(14,1fr) 4vh;
  grid-template-rows: repeat(2, min(5vh, 40px));
  align-items: center;
  }


#nav-titles {
  z-index: 1;
  grid-row: 1 / 2;
  grid-column: 1 / -1;
  background-color: #1F7375;
  width: 100%;
  height: 100%;
  /*line-height: 5vh;*/
}

#nav-indicator {
  z-index: 2;
  grid-row: 2 / 3;
  grid-column: 1 / -1;
  background-color: white;
  width: 100%;
  height: 100%;
  /*line-height: 5vh;*/
}

/*.menu {
  z-index: 3;
  grid-column: 1 / 2;
  grid-row: 2 / 3;
  padding-left: 2rem;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 0.5vw;
}*/

.projet-title {
  z-index: 4;
  grid-row: 1 / 2;
  grid-column: 1 / -1;        
  visibility: hidden;
  opacity: 0.5;
  display: flex;
  height: 100%;
  /*justify-content: center;*/
  /*align-items: center;*/
}

.projet-title > p {
  background-color: white;
  line-height: min(5vh, 40px);
  height: 100%;
  padding: 0 2em;
  font-family: "Objectivity-Medium";
  color: #301605;
  font-size: clamp(16px, 1.5vh, 20px);
}

.hover {
  visibility: visible;
  opacity: 1;
}

.arrows {
  grid-column: span 2 /-1;
  grid-row: 1 / 2;
  z-index: 10;
  display: flex;
  justify-content: flex-end;
  font-family: "Objectivity-Thin";
  color: #301605;
  font-size: clamp(15px, 6vh, 40px);
  visibility: hidden;
}

#arrow-left {
  padding-right: 0.5em;
}

#arrow-right {
  padding-right: 0.5em;
}

#title-memoire {
  background-color: #1F7375;
}

#title-memoire > p {
  margin-left: 0.5vw;
}

#title-gameofpattern {
  background-color: #ec653b;    
  }

#title-gameofpattern > p {
  margin-left: 5.8vw;
}

#title-agriapp {
  background-color: #A0CDC6;    
  }

#title-agriapp > p {
  margin-left: 13.5vw;
}

#title-masques {
  background-color: #bf3e22;    
  }

#title-masques > p {
  margin-left: 19.25vw;
}

#title-macro {
  background-color: #3E4F97;
}

#title-macro > p {
  margin-left: 27.9vw;
}

#title-catalogue {
  background-color: #C11C4D;
}

#title-catalogue > p {
  margin-left: 32.5vw;
}

#title-bluedata {
  background-color: #3F51B5;    
  }

#title-bluedata  > p {
  margin-left: 42.5vw;
}

#title-affiche {
  background-color: #E85017;
}

#title-affiche > p {
  margin-left: 50vw;
}

#title-ixda {
  background-color: #62003B;
}

#title-ixda > p {
  margin-left: 52.8vw;
}

#title-gamejam {
  background-color: #57AE7A;
}

#title-gamejam > p {
  margin-left: 63.85vw;
}

#title-sondia {
  background-color: #009B51;
}

#title-sondia > p {
  margin-left: 70.2vw;
}

#title-logo {
  background-color: #7589DE;    
  }

#title-logo > p {
  margin-left: 75.85vw;
}

#title-foodapp {
  background-color: #E9BFD2;
}

#title-foodapp > p {
  margin-left: 82.45vw;
}

#title-vrac {
  background-color: #DBAD2A;
}

#title-vrac > p {
  margin-left: 89.5vw;
}

.projet-icon {
  /*background: #301605;*/
  border: 2px solid #301605;
  border-radius: 50%;
  width: 2.5vh;
  height: 2.5vh;
  z-index: 6;
  grid-row: 2 / 3;
  justify-self: center;
}

.projet-icon:hover {
  background: #301605;
  transition: background-color 0.2s ease-in;
}

.empty {
  width: 2.5vh;
  height: 2.5vh;
}

#anchor {
  grid-column: 1 / -1;
  height: 5vh;
}

#icon-memoire {
  grid-column: 2 / 3;
}

#icon-gameofpattern {
  grid-column: 3 / 4;
}

#icon-agriapp {
  grid-column: 4 / 5;
}

#icon-masques {
  grid-column: 5 / 6;
}

#icon-macro {
  grid-column: 6 / 7;
}

#icon-catalogue {
  grid-column: 7 / 8;
}

#icon-bluedata {
  grid-column: 8 / 9;
}

#icon-affiche {
  grid-column: 9 / 10;
}

#icon-ixda {
  grid-column: 10 / 11;
}

#icon-gamejam {
  grid-column: 11 / 12;
}

#icon-sondia {
  grid-column: 12 / 13;
}

#icon-logo {
  grid-column: 13 / 14;
}

#icon-foodapp {
  grid-column: 14 / 15;
}

#icon-vrac {
  grid-column: 15 / 16;
}

.light{
  transition: background-color 0.2s ease-in;
  background-color: #301605;
}


#icon-memoire:hover ~ #title-memoire {
  visibility: visible;
  z-index: 10;
  opacity: 1;
  transition: opacity 0.1s ease-in;
}

#icon-macro:hover ~ #title-macro {
  visibility: visible;
  z-index: 10;
  opacity: 1;
  transition: opacity 0.1s ease-in;
}

#icon-vrac:hover ~ #title-vrac {
  visibility: visible;
  z-index: 10;
  opacity: 1;
  transition: opacity 0.1s ease-in;
}

#icon-catalogue:hover ~ #title-catalogue {
  visibility: visible;
  z-index: 10;
  opacity: 1;
  transition: opacity 0.1s ease-in;
}

#icon-gamejam:hover ~ #title-gamejam {
  visibility: visible;
  z-index: 10;
  opacity: 1;
  transition: opacity 0.1s ease-in;
}

#icon-ixda:hover ~ #title-ixda {
  visibility: visible;
  z-index: 10;
  opacity: 1;
  transition: opacity 0.1s ease-in;
}

#icon-sondia:hover ~ #title-sondia {
  visibility: visible;
  z-index: 10;
  opacity: 1;
  transition: opacity 0.1s ease-in;
}

#icon-affiche:hover ~ #title-affiche {
  visibility: visible;
  z-index: 10;
  opacity: 1;
  transition: opacity 0.1s ease-in;
}

#icon-logo:hover ~ #title-logo {
  visibility: visible;
  z-index: 10;
  opacity: 1;
  transition: opacity 0.1s ease-in;
}

#icon-foodapp:hover ~ #title-foodapp {
  visibility: visible;
  z-index: 10;
  opacity: 1;
  transition: opacity 0.1s ease-in;
}

#icon-agriapp:hover ~ #title-agriapp {
  visibility: visible;
  z-index: 10;
  opacity: 1;
  transition: opacity 0.1s ease-in;
}

#icon-bluedata:hover ~ #title-bluedata {
  visibility: visible;
  z-index: 10;
  opacity: 1;
  transition: opacity 0.1s ease-in;
}

#icon-masques:hover ~ #title-masques {
  visibility: visible;
  z-index: 10;
  opacity: 1;
  transition: opacity 0.1s ease-in;
}

#icon-gameofpattern:hover ~ #title-gameofpattern {
  visibility: visible;
  z-index: 10;
  opacity: 1;
  transition: opacity 0.1s ease-in;
}

.arrow-top {
  z-index: 4;
  grid-row: 2 / 3;
  grid-column: span 1 / -1;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

#top {
  fill: black;
  height: 4vh;
  width: 4vh;
  transition: fill 0.2s ease-in;
}

#top:hover {
  fill: black;
  height: 3.5vh;
  width: 3.5vh;
}

/*-------------APROPOS-------------------*/

/*grid-template-rows: minmax(100vh, auto) auto;*/

.apropos {
  grid-column: 1 / -1;
  grid-row: 2 / span 1;
  background-color: #DBAD2A;
  display: grid;
  grid-template-columns: 10vw 60vw;
  grid-template-rows: minmax(100vh, auto);
}

#etoile {
  fill: #301605;
  width: 6vh;
  height: 6vh;
  margin: 60vh 80vw;
  /*grid-column: span 1 / -1;*/
  position: fixed;
  animation: rotate 20s linear infinite;
}

@keyframes rotate {
  to {
    transform: rotate(360deg);
  }
}

.présentationfull {
  height: 100%;
  grid-column: 2 / 3;
  font-family: "Objectivity-Medium";
  font-size: clamp(13px, 3.6vh, 30px);
  color: #301605;
}

.filet {
  height: 2px;
  width: 150px;
  background-color: #301605;
}

#cv {
  margin-bottom: 8em;
}

#quisuisje {
  margin: 15vh 0 1em 0;
  line-height: 1.28em;
}

#contact {
  margin: 2em 0 5em 0;
  line-height: 1.28em;
  hyphens: manual;
}

#credits {
  margin: 2em 0 10em 0;
  font-family: "Objectivity-Regular";
  font-size: clamp(13px, 2vh, 30px);
}

#underline {
  text-decoration: underline;
}

#underline:hover {
  opacity: 0.5;
}



/*-------------------------CONTENU---------------------*/

/*------MAIN-----------*/

   .container {
    display: grid;
    grid-template-columns: 33.35vw auto;
  }

  main {
    display: grid;
    grid-template-columns: 1rem 1fr 1fr 1rem;
    grid-gap: 2rem;
    position: relative;
    bottom: 9vh;
  }

  .link {
    grid-column: 2 / span 2;
    display: grid;
    grid-row: 1 / -1;
    grid-column: 1 / -1;
  }

  .link > * {
    grid-row: 1 / -1;
    grid-column: 1 / -1;
  }

  .projet {
    grid-column: 2 / span 2;
    scroll-margin-top: 8vh;
    display: grid;
    grid-template-rows: 1fr;
  }

 /* .projet > * {
    grid-row: 1 / -1;
    grid-column: 1 / -1;
  }*/

  /*---------GENERAL------------*/
  img {
    width: 100%;
    display: block;
  }

  .legende {
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    flex-direction: column;
    gap: 0.5rem;
    margin: 1em 1.5em;
  }

  .link {

  }

  .chip {
  font-family: "Objectivity-Medium";
  color: #301605;
  font-size: clamp(13px, 1.5vh, 20px);
/*  margin-top: 0.5rem;*/
  padding: 0.5em 1em;
  background-color: white;
  border-radius: 30px;
  border: solid 1.5px #301605;
  }

  .button-text {
  font-family: "Objectivity-Bold";
  color: #301605;
  font-size: clamp(15px, 1.6vh, 20px);
  background-color: transparent;
  border: 0;
  }

  .button-text::after {
  content: "";
  background-color: #301605;
  width: 100%;
  height: 1.5px;
  position: relative;
  top: 1.5px;
  display: block;
  transform: scaleX(0);
  transition: transform 250ms ease-in-out;
}

.button-text:hover::after {
  transform: scaleX(1);
}

/*------HEADER-----------*/
header {
  height: min(6vh, 50px);
  grid-column: 1 / -1;
  position: sticky;
  top: 0;
  z-index: 10;
  line-height: min(6vh, 50px);
  color: #301605;
  background-color: #FFD400;
  padding: 0 1.5rem;
  display: flex;
  justify-content: space-between;
}

header.full-lenght {
  padding: 0;
  display: grid;
  grid-template-columns: 33.35vw 1fr;
}

#site_title_full-lenght {
  padding: 0 1.5rem;
  display: flex;
  justify-content: space-between;
}

.site_name {
  font-family: "Objectivity-Bold";
  font-size: clamp(16px, 2.5vh, 30px);
  padding-left: 2rem;
}

.site_title {
  font-size: clamp(14px, 1.5vh, 30px);
  font-family: "Objectivity-Regular";
}

/*-------------FILTERS-----------*/
input[type="radio"] {
    display:none;
}

.filters {
  top: 7.5vh;
  grid-column: 2 / span 2;
  position: sticky;
  z-index: 2;
  padding: 0;
}

.filters * {
  display: inline-block;
}

.filters label {
  font-family: "Objectivity-Medium";
  color: #301605;
  font-size: clamp(13px, 1.5vh, 20px);
  padding: 0.5em 1em;
  background-color: white;
  border-radius: 30px;
  border: solid 1.5px #301605;

  min-width: 50px;
  cursor: pointer;
  transition: all 0.1s;
  color: black;
  margin: 0 0.8rem 0.4rem 0;
}

.filters label:hover {
  background: #E0DBEF;
  border: solid 1.5px #E0DBEF;
}

/*---------FILTERING RULES------------*/
[value="All"]:checked ~ .filters [for="All"],
[value="UIX"]:checked ~ .filters [for="UIX"],
[value="edition"]:checked ~ .filters [for="edition"],
[value="recherche"]:checked ~ .filters [for="recherche"],
[value="identite"]:checked ~ .filters [for="identite"],
[value="illustration"]:checked ~ .filters [for="illustration"],
[value="jeu"]:checked ~ .filters [for="jeu"] {
  background: #E0DBEF;
  border: solid 2px #E0DBEF;
  border-radius: 30px;
  color: black;
}

/*[value="All"]:checked ~ .projet [data-category] {
  display: block;
}*/

[value="UIX"]:checked ~ .singleproj:not([data-category~="UIX"]),
[value="edition"]:checked ~ .singleproj:not([data-category~="edition"]),
[value="recherche"]:checked ~ .singleproj:not([data-category~="recherche"]),
[value="identite"]:checked ~ .singleproj:not([data-category~="identite"]),
[value="illustration"]:checked ~ .singleproj:not([data-category~="illustration"]),
[value="jeu"]:checked ~ .singleproj:not([data-category~="jeu"]) {
  display: none;
}


/*-------------ASIDE-----------*/
  aside {
    position: sticky;
    top: 0;
    height: 100vh;
    display: grid;
    grid-template-rows: auto 1fr;
    z-index: 0;
  }

  aside p {
    padding: 0 2.5rem;
  }

  .paragraph {
    padding: 0 2.5rem;
  }

.button-area {
  display: flex;
  justify-content: flex-end;
  margin-bottom: 2rem;
}

  .close {
    height: max(42px, 5vh);
    width: max(42px, 5vh);
    border: none;
    background: none;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
  }
    
    .close:hover, .close:focus {
        color: white;
    }
    
/*    .close:active {
        top: .08em;
    }*/

#close {
  fill: white;
  height: max(24px, 4vh);
  width: max(24px, 4vh);
  transition: fill 2s ease-in;
}

#close:hover {
  fill: white;
  height: max(22px, 3.5vh);
  width: max(22px, 3.5vh);
}

.visually-hidden {
    position: absolute;
    height: 1px;
    width: 1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
}

  .aside_home {
    color: #301605;
  }

  .aside_projet {
    color: #301605;
  }

  .présentation {
    font-family: "Objectivity-Bold";
    padding: 0 0 13vh 0;
    font-size: clamp(15px, 3.6vh, 40px);
    line-height: 1.28em;
    color: #301605;
    border-right: 2px solid black;
    overflow: auto;
    scrollbar-width: thin;
  }

  .présentation > a {
    cursor: 
  }

  .présentation::-webkit-scrollbar {
  width: 7px;
  }

  .présentation::-webkit-scrollbar-track {
  margin-top: 20px;
  }

  .présentation::-webkit-scrollbar-thumb {
  background-color: #B68909;
  }

  .description {
    padding-bottom: max(13vh, 100px);
    color: #301605;
    border-right: 2px solid black;
    overflow: auto;
    scrollbar-width: thin;
  }

  .body1 {
    font-family: "Objectivity-Medium";
    font-size: clamp(14px, 2.3vh, 18px);
    line-height: 1.28em;
    margin-top: 1em;
  }

  .inside_text {
    display: none;
    font-family: "Objectivity-Medium";
    font-size: clamp(14px, 2vh, 18px);
    /*color: #301605;*/
    margin: 1em 0 6em 0;
  }

/*  #text-button {
    margin-bottom: 2.5em;
  }*/

  .fixed {
    display: none;
    font-family: "Objectivity-Medium";
    font-size: clamp(14px, 2.4vh, 18px);
    line-height: 1.28em;
    color: #301605;
  }

  h1 {
    margin-bottom :0.3em;
    font-family: "Objectivity-Bold";
    font-size: clamp(25px, 5vh, 40px);
    hyphens: manual;
  }

  h2 {
    margin-bottom: 1em;
    font-family: "Objectivity-Regular";
    /*color: #301605;*/
    font-size: clamp(16px, 2vh, 30px);
  }

  .info {
    margin-top: 2.5em;
    width: 75%;
  }

  h3 {
    font-family: "Objectivity-Bold";
    /*color: #301605;*/
    font-size: clamp(14px, 1.4vh, 20px);
    line-height: 1.4em;
    /*grid-column: 1 / 2;*/
  }

  h4 {
    font-family: "Objectivity-Light";
    /*color: #301605;*/
    font-size: clamp(14px, 1.4vh, 20px);
    line-height: 1.4em;
    margin-top: 0.7em;
  }

  h5 {
    font-family: "Objectivity-Regular";
    /*color: #301605;*/
    font-size: clamp(14px, 1.4vh, 20px);
    margin-bottom: 0.4em;
    line-height: 1.8vh;
  }

  .button {
    margin-bottom: 2rem;
    padding: 1em;
    font-family: "Objectivity-Regular";
    color: #301605;
    font-size: clamp(14px, 1.5vh, 20px);
    border: 1.1px solid #301605;
    display: inline-block;
    border-radius: 40px;
  }

  .button:hover {
    background-color: #301605;
    color: white;
    transition: all 0.3s ease-in-out;
  }

  .path {
    margin-bottom: 1rem;
    padding: 0.5em 1em;
    font-size: clamp(14px, 1.2vh, 20px);
  }



/*-----------------PROJETS-----------*/

  

  /*---------------------MACRO-----------------------------*/
.vert_bar {
  font-family: "Objectivity-Light";
  padding: 0 0.6em;
}

.toggle {
display:none;
}

.macro_section {
  grid-column: 2 / span 2;
  display: grid;
  grid-template-columns: 1fr;
  grid-gap: 2rem;
}

.macro_section_title {
  font-family: "Objectivity-Bold";
  color: #301605;
  font-size: clamp(14px, 3.5vh, 40px);
  cursor: pointer;
  scroll-margin-top: 8vh;
}

.macro_section_title::before {
  content: '';
/*  display: inline-block;*/
  right: 3rem;
/*  margin: 12px;*/
  height: min(24px, 1.1rem);
  width: min(24px, 1.1rem);
  border: solid black;
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
  position: absolute;
  cursor: pointer;
  transition: transform 0.3s ease;
}

.macro_section_title::after {
  content: '';
  background-color: #301605;
  display: block;
  right: 0;
  left: 0;
  height: 2px;
  margin-top: 0.2em;
  grid-column: 2 / span 2;
  position: absolute;
}

.macro_sub_section {
  font-family: "Objectivity-Medium";
  color: #301605;
  padding: 2rem 0 1rem 0;
  font-size: clamp(12px, 1.2em, 30px);
}

.macro_sub_menu:hover {
  opacity: 0.5;
}

/*----------------------------------------------------------------*/

  #section_masque {
    /*grid-row: 2 / 3;*/
    display: none;
  }

  #section_portrait {
    /*grid-row: 5 / 6;*/
    display: none;
  }

  #section_invocation {
    display: none;
  }

  #section_miroir {
    display: none;
  }

  #section_hybride {
    display: none;
  }

  #section_google {
    display: none;
  }

/*-------------------------------------------------------------------------*/

  .toggle:checked ~ label::before {
    transform: rotate(225deg);
  }

 #toggle1:checked ~ #section_masque {
    display: contents;
  }

  #toggle2:checked ~ #section_portrait {
    display: contents;
  }

  #toggle3:checked ~ #section_invocation {
    display: contents;
  }

  #toggle4:checked ~ #section_miroir {
    display: contents;
  }

  #toggle5:checked ~ #section_hybride {
    display: contents;
  }

  #toggle6:checked ~ #section_google {
    display: contents;
  }


  /*--------------------------IXDA------------------------*/

  .video-container {
  position: relative;
  padding-bottom: 56.25%; /* ratio 16/9 */
  height: 0; overflow: hidden;
  clear: both;
}
.video-container iframe,
.video-container object,
.video-container embed {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.video-container2{
  position: relative;
  padding-bottom: 76%; /* ratio 16/9 */
  height: 0; overflow: hidden;
  clear: both;
}

.video-container2 iframe,
.video-container2 object,
.video-container2 embed {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

/*------------------VRAC-------------------------*/

.carre {
  scroll-margin-top: 8vh;
  grid-template-rows: 1fr;
}

.twocolumns {
  grid-column: 2 / span 2;
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-gap: 2rem;
  bottom: 9vh;
}

  
/*--------------MEDIA QUERIES---------------------*/
@media (max-width: 1600px) {


#title-memoire > p {
  margin-left: 0.5vw;
}
#title-gameofpattern > p {
  margin-left: 4.7vw;
}
#title-agriapp > p {
  margin-left: 12.4vw;
}

#title-masques > p {
  margin-left: 18vw;
}

#title-macro > p {
  margin-left: 27vw;
}
#title-catalogue > p {
  margin-left: 31vw;
}

#title-bluedata  > p {
  margin-left: 41.5vw;
}

#title-affiche > p {
  margin-left: 49.4vw;
}

#title-ixda > p {
  margin-left: 51.3vw;
}

#title-gamejam > p {
  margin-left: 63.4vw;
}
#title-sondia > p {
  margin-left: 69.6vw;
}

#title-logo > p {
  margin-left: 74.75vw;
}
#title-foodapp > p {
  margin-left: 81.3vw;
}

#title-vrac > p {
  margin-left: max(80vw, 85%);
}
    }

    

@media (max-width: 800px) {
  .container {
    grid-template-columns: 100vw;
  }

  aside {
    position: static;
  }

  #title-memoire > p {
  margin-left: 0.5vw;
}
#title-gameofpattern > p {
  margin-left: 4.7vw;
}
#title-agriapp > p {
  margin-left: 6.5vw;
}

#title-masques > p {
  margin-left: 10.5vw;
}

#title-macro > p {
  margin-left: 21.9vw;
}
#title-catalogue > p {
  margin-left: 22vw;
}

#title-bluedata  > p {
  margin-left: 37vw;
}

#title-affiche > p {
  margin-left: 45.2vw;
}

#title-ixda > p {
  margin-left: 41.7vw;
}

#title-gamejam > p {
  margin-left: 58.8vw;
}
#title-sondia > p {
  margin-left: 64vw;
}

#title-logo > p {
  margin-left: 67.6vw;
}
#title-foodapp > p {
  margin-left: 70vw;
}

#title-vrac > p {
  margin-left: max(70vw, 70%);
}

      .site_title {
    position: fixed;
    width: 100vw;
    height: 4vh;
    line-height: 4vh;
    top: min(6vh, 50px);
    background-color: #DBAD2A;
    padding-left: 2rem
  }

  .site_name {
    position: fixed;
    top: 0;
    width: 100vw;
    z-index: 50;
  }

  .full-lenght {
    position: fixed;
    top: 0;
    width: 100vw;
  }

  #site_title_full-lenght {
    padding: 0 2rem;
  }

  aside p {
    padding: 4.5rem 2.5rem 0 2.5rem;
  }

  h1 {
    padding-top: 4.5rem;
  }

  .filters {
    top: 11vh;
  }

  main {
    position: static;
    margin-bottom: 9vh;
  }
}

  @media (max-width: 620px) {
    .nav-indicator, .menu, .projet-icon, .arrow-top, .button-area, .button-text, .filters {
      display: none;
    }

    .container {
      grid-template-rows: minmax(100vh, auto) auto;
    }

    .hamburger {
      display: contents;
    }

    nav {
      grid-template-columns: 100vw;
      grid-template-rows: 6vh;
    }

    .projet-title > p {
      line-height: 6vh;
    }

    .arrows {
      visibility: hidden;
    }

    .projet {
      grid-column: 1 / -1;
      padding: 0 1.5rem;
    }

    #anchor {
      display: none;
    }

    .twocolumns {
      grid-column: 1 / -1;
      grid-gap: 0.5rem;
      padding: 0 1.5rem;
      grid-template-columns: 1fr;
    }

    .section_organisation {
      grid-column: 1 / -1;
    }

    .macro_section {
      grid-column: 1 / -1;
      padding: 0 1.5rem;
    }

  .macro_section_title::before {
    grid-column: 1 / -1;
    position: absolute;
    right: 2rem;
  }

.toggle:checked ~ label::before {
  transform: rotate(225deg);
}

    .macro_section_title::after {
      grid-column: 1 / -1;
      margin: 0 1.5rem; 
    }

/*    #macro_résumé3, #macro_résumé2, #macro_résumé1  {
      grid-column: 1 / -1;
      padding: 0 1.5rem;
    }*/

    #ixda_video {
      grid-column: 1 / -1;
    }

.site_title {
  position: fixed;
  width: 100vw;
  height: 4vh;
  line-height: 4vh;
  top: min(6vh, 50px);
  background-color: #DBAD2A;
  padding-left: 2rem
}

.site_name {
  position: fixed;
  top: 0;
  width: 100vw;
  z-index: 50;
}

.full-lenght {
  position: fixed;
  top: 0;
  width: 100vw;
}

.description {
  border-right: none;
  margin: 0 0 6vh 0;
  padding-bottom: 0;
}

.présentation {
  border-right: none;
  margin: 12vh 0 5vh 0;
}

h1 {
  margin : 12vh 0 0.3em 0;
}

#title-memoire > p {
  margin-left: 8vw;
}

#title-macro > p {
  margin-left: 8vw;
}

#title-vrac > p {
  margin-left: 8vw;
}

#title-catalogue > p {
  margin-left: 8vw;
}

#title-sondia > p {
  margin-left: 8vw;
}

#title-ixda > p {
  margin-left: 8vw;
}

#title-logo > p {
  margin-left: 8vw;
}

#title-gamejam > p {
  margin-left: 8vw;
}

#title-affiche > p {
  margin-left: 8vw;
}

#title-foodapp > p {
  margin-left: 8vw;
}

#title-agriapp > p {
  margin-left: 8vw;
}

#title-bluedata > p {
  margin-left: 8vw;
}

#title-masques > p {
  margin-left: 8vw;
}

#title-gameofpattern > p {
  margin-left: 8vw;
}

aside {
  height: 100%;
  overflow: visible;
  grid-template-rows: 1fr;
}

main {
  position: static;
  margin-bottom: 9vh;
}

.aside_projet {
  background-color: white;
}

.info {
  width: 100%;
}

.apropos { 
grid-row-start: 1;
 grid-template-columns: 10vw 80vw 10vw;
}

.présentationfull { 
  font-size: clamp(13px, 2.8vh, 40px);
}

#quisuisje {
  margin: 18vh 0 1em 0;
}

.inside_text {
  display: contents;
}

#etoile {
  margin: 80vh 80vw;
}


  }